/*
 * Copyright (c) 2001, Gary R. Van Sickle.
 * Copyright (c) 2005-2006, Tom N Harris.
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     A copy of the GNU General Public License can be found at
 *     http://www.gnu.org/
 *
 * Written by Gary R. Van Sickle <g.r.vansickle@worldnet.att.net>
 * Written by Tom N Harris <telliamed@whoopdedo.org>
 *
 */

#ifndef SETUP_LOCALDIR_H
#define SETUP_LOCALDIR_H

// This is the header for the GameDirPage class.


#include "PropPage.h"

namespace Setup
{

class Installer;

class GameDirPage : public PropertyPage
{
public:
	GameDirPage(Installer&);
	virtual ~GameDirPage()
	{
	};

	virtual bool onMessageCmd(int id, HWND hwndctl, UINT code);

	bool create();

	virtual void onInit();
	virtual void onActivate();
	virtual long onNext();
	virtual long onBack();
	virtual long onUnattended()
	{
		return onNext();
	};

private:
	Installer & m_installer;

	void browseDirectory(int which);
	bool validateDirs();

	void showInput(int which);
	void hideInput(int which);
	int m_inputs;

	int m_initted;
};

};

#endif /* SETUP_LOCALDIR_H */
